APIs for Enterprise Sales Management

You can use the Enterprise Sales Management APIs to create and manage enterprise quotes by calling corresponding Integration Procedures.

Tip
Tip

Salesforce recommends using the Enterprise Sales Management SDK for Enterprise Sales Management and Lightning Web Components for Enterprise Sales Management to call these APIs instead of calling them directly. The SDK and LWCs improve usability and help you develop compelling UIs by hiding complex API semantics. You can use this Integration Procedure API information to better understand Enterprise Sales Management business processes.

Posting Data to an Integration Procedure

To post JSON data to a Enterprise Sales Management Integration Procedure, issue a POST call using a URL formatted as follows:

/services/apexrest/vlocity_cmt/v1/integrationprocedure/{type}_{subtype}/

Specify the type and subtype of the Integration Procedure, which can be found in its Integration Procedure details page.

To pass input data in a POST call, you can specify a JSON request body.

In the following example POST, the getAll_members Integration Procedure retrieves all quote members for a given quote ID.

POST
/services/apexrest/vlocity_cmt/v1/integrationprocedure/getAll_members/

Example POST JSON Data:

{
 	"SalesQuoteId": "0Q03h000000TuXGCA0"
 }

Example Result:

{
	"Members": [{
			"Id": "a5X5w000002KqC9EAK",
			"QuoteId__c": "0Q05w000001sayRCAQ",
			"Title__c": "VP",
			"Address1__c": "Suite 415",
			"Name": "Mary Sommer",
			"MemberType__c": "Location",
			"StreetAddress__c": "123 Main St",
			"State__c": "CA",
			"PostalCode__c": "94102",
			"MSISDN__c": "1234564567",
			"LastName__c": "Sommer",
			"FirstName__c": "Mary",
			"Email__c": "msommer@test.com",
			"Country__c": "USA",
			"City__c": "San Francisco"
		},
		{
			"UpsertSuccess": true,
			"Id": "a5X5w000002KqCAEA0",
			"QuoteId__c": "0Q05w000001sayRCAQ",
			"Title__c": "EVP",
			"Address1__c": "Suite 415",
			"Name": "Tom Hanks",
			"MemberType__c": "Subscriber",
			"StreetAddress__c": "1480 SantaClara St",
			"State__c": "CA",
			"PostalCode__c": "95050",
			"MSISDN__c": "123456489",
			"LastName__c": "Hanks",
			"FirstName__c": "Tom",
			"Email__c": "thanks@test.com",
			"Country__c": "USA",
			"City__c": "Santa Clara"
		}
	]
}

Enterprise Sales Management API Descriptions

Use the API name to POST data to the corresponding Integration Procedure. For the ESM_checkServiceQualification and ESM_checkAddressValidation APIs, see Add API Endpoint to Remote Site Settings.

Note
Note Some components have been renamed to align with the naming conventions of OmniStudio Standard Runtime, to provide support for it. For more information, download this PDF.

API

Description

Corresponding Integration Procedure

AddMem_ToQG API

Add members to a quote group.

AddMembersToQGroup

AddQMQGToWC_CopyToEQ API

Add members and a quote group to the working cart and copy it to the enterprise quote.

AddQMQGToWCQLIsCopyToEQ

AddQMQGToWC_CopyToEQBatch API

Trigger a batch process to migrate and clone products from the working cart to the enterprise quote.

AddQMQGToWCQLIsCopyToEQBatch

b2bExpress_AddProductToCart API

Add a product to a working cart.

b2bExpress_AddProductToCart

b2bExpress_assetConfigData API

Store the information that is displayed on the assets page.

getAssetConfigData

b2bExpress_CreateSubOrder API

Create sub-orders for a given quote member. This API returns the record ID of the sub-order created.

CreateSubOrder

b2bExpress_DeleteMembers API

Delete members for a given quote member.

RemoveMembers

b2bExpress_getAssetsFromAccount API

Get child assets for a given account ID, root asset ID, and page size.

getAssetsFromAccount

b2bExpress_SalesOrder API

Create orders for the given quote ID and account ID. This API returns the principal order ID.

SalesOrder

b2bExpress_SubmitSubOrder API

Submit an order.

SubmitSubOrder

b2bExpress_SubmitSubOrders API

Submit all sub-orders.

SubmitSubOrders

b2bExpress_SubOrders API

Create sub-orders for a given quote member.

SubOrders

b2bExpress_TemplateConfigData API

Fetch Vlocity Document Template details for a given configuration.

B2BExpress_TemplateConfigData

b2bExpress_UpdateQtyPrice API

Update quantity and reprice order items that belong to a specific group.

UpdateQtyPrice

b2bExpress_updateQuantityAndReprice API

Update quantity and perform repricing for a given quote ID and quantity.

UpdateQuantityAndRepriceCart

CloneEQLIsToWC_PriceCopyBackToEQ API

Clone enterprise quote line items (QLIs) to working cart, apply pricing, and copy back to the enterprise quote.

CloneEQLIsToWCPriceCopyEQLIs

CloneModifyTo_SalesQLIs API

Clone modified working cart quote line items (QLIs) to sales QLIs and delete the working cart.

CloneModifyWorkingCartToSalesQLIs

CloneModifyTo_SalesQLIsWQPR API

Clone the modified working cart quote line items (QLIs) to sales QLIs, delete the working cart, and update the Quote Product Rollup object.

CloneModifyWCToSalesQLIs

CloneSalesQLIs_ToGCartQLIs API

Clone sales quote line items (QLIs) to working cart QLIs.

CloneSalesQuoteToWorkingCart

CloneSalesQToWC_Discounts API

Clone sales quote line items (QLIs) to working cart QLIs with discounts and adjustments.

CloneSalesQToWCWDiscounts

CloneTo_SalesQLIs API

Clone the working cart quote line items (QLIs) to sales QLIs.

CloneWorkingCartToSalesQLIs

create_NewGroupAssignMembers API

Create a group and assign members to it in a single call.

CreateGroup&AssignMembers

create_WorkingCart API

Create a working cart quote based on a sales quote.

CreateWorkingCartQuote

ESM_checkAddressValidation API

Validate the addresses selected with the valid addresses provided by TMF API.

ESM_checkAddressValidation

ESM_checkServiceQualification API

Check service qualification for specific locations using TMF API.

ESM_checkServiceQualification

ESM_CreateSubOrderForNonMembers API

Create a sub-order for line items without any members or groups using ESM CreateOrder API.

ESM_CreateSubOrderForNonMembers

ESM_CreateSubOrdersInBatch

Create multiple sub-orders in a single call. Too many inputs may exceed governor limits.

CreateSubOrdersInBatch

ESM_CustomViewSetup API

Store information about the custom views created for the Summary page.

ESM_CustomViewSetup

ESM_DelinkRelatedItemFromCart API

Delink a related quote item (product) from another item of the same quote (from QuoteLineItemRelationship Sobject).

ESM_DelinkRelatedItemFromCart

ESM_EvaluateFormula API

Evaluate an expression.

ESM_EvaluateFormula

ESM_getCartItemsByView API

Retrieve quote line items for a given quote ID and display option.

ESM_getCartItemsByView

ESM_getRelatedProducts API

Fetches the related Products QLI from a quote for a particular product relationship.

ESM_getRelatedProducts

ESM_LinkProducts API

Saves QLI product relationship.

ESM_LinkProducts

ESM_SearchOrCreateServiceAccount

Search for an existing service account or create a new service account if it doesn’t exist.

SearchOrCreateServiceAccount

ESM_UpdateQuoteLineItems API

Update a quote line item and its related child items with the given set of fields and values.

ESM_UpdateQuoteLineItems

ESM_validateRecords API

Validate quote line items.

ESM_validateRecords

getAll_members API

Get all quote members for a given quote ID.

GetAllMembers

getAll_QuoteGroup API

Get all custom quote groups for a sales quote.

GetAllQGroupForSQ

getMACDPriceDelta

Get the difference of the recurring price before and after MACD operation.

Not Applicable

getDiscountedQLICount

Get the QLI count for the given QuoteAppliedPromotionItem.

Not Applicable

member_upload API

Upload a CSV file with new subscribers or locations.

UploadMembers

QMgetFields_WFieldLabel API

Get the field set with fields and labels for the quote members.

QuoteMemberGetFields

Remove_QuoteGroup API

Remove the quote group from the enterprise quote.

RemoveQuoteGroup

removeQM_FromQuoteGroup API

Remove a quote member record from the quote group.

RemoveQMFromQuoteGroup

UpdateCloneModify_SalesQLIsWQPR API

Updates, clones, or modifies the quote line items for a given cart ID, group ID, quote member ID, or quote ID.

UpdateMemberIdForWC

update_QGroupName API

Update the name of the quote group.

UpdateQuoteGroupName